## com.fusioncharts.sampledata
Class BasicRenderData

    java.lang.Object
      com.fusioncharts.sampledata.BasicRenderData

    public class BasicRenderData

extends java.lang.Object

Bean containing sample chart data. Default values for all the fields have been set. These can be changed using the set methods. This class has been used as a backing bean in JSP examples.

Author:
  Infosoft Global (P) Ltd.

Field Summary
`protected java.lang.String` `chartId`
`protected java.lang.String` `height`
`protected java.lang.String` `jsonUrl`
`protected java.lang.String` `swfFilename`
`protected java.lang.String` `uniqueId`
`protected java.lang.String` `url`
`protected java.lang.String` `width`
`protected java.lang.String` `xml`

Constructor Summary
`BasicRenderData()` Constructor - constructs the xml string

Method Summary
`java.lang.String` `getChartId()` Returns the value in the field chartId
`java.lang.String` `getHeight()` Returns the value in the field height
`java.lang.String` `getJsonUrl()` Returns the value in the field jsonUrl
`java.lang.String` `getSwfFilename()` Returns the value in the field swfFilename
`java.lang.String` `getUniqueId()` Returns a UniqueId
`java.lang.String` `getUrl()` Returns the value in the field url
`java.lang.String` `getWidth()` Returns the value in the field width
`java.lang.String` `getXml()` Returns the value in the field xml
`void` `setChartId(java.lang.String chartId)` Sets the value for chartId
`void` `setHeight(java.lang.String height)` Sets the value for height
`void` `setJsonUrl(java.lang.String jsonUrl)` Sets the value for jsonUrl
`void` `setSwfFilename(java.lang.String swfFilename)` Sets the value for swfFilename
`void` `setUniqueId(java.lang.String uniqueId)` Sets the value for uniqueId
`void` `setUrl(java.lang.String url)` Sets the value for url
`void` `setWidth(java.lang.String width)` Sets the value for width
`void` `setXml(java.lang.String xml)` Sets the value for xml

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### xml

    protected java.lang.String xml

### chartId

    protected java.lang.String chartId

### url

    protected java.lang.String url

### jsonUrl

    protected java.lang.String jsonUrl

### width

    protected java.lang.String width

### height

    protected java.lang.String height

### swfFilename

    protected java.lang.String swfFilename

### uniqueId

    protected java.lang.String uniqueId

Constructor Detail

### BasicRenderData

    public BasicRenderData()

  Constructor - constructs the xml string

Method Detail

### getChartId

    public java.lang.String getChartId()

  Returns the value in the field chartId

  Returns:
    the chartId

### getHeight

    public java.lang.String getHeight()

  Returns the value in the field height

  Returns:
    the height

### getJsonUrl

    public java.lang.String getJsonUrl()

  Returns the value in the field jsonUrl

  Returns:
    the jsonUrl

### getSwfFilename

    public java.lang.String getSwfFilename()

  Returns the value in the field swfFilename

  Returns:
    the swfFilename

### getUniqueId

    public java.lang.String getUniqueId()

  Returns a UniqueId

  Returns:
    the uniqueId

### getUrl

    public java.lang.String getUrl()

  Returns the value in the field url

  Returns:
    the url

### getWidth

    public java.lang.String getWidth()

  Returns the value in the field width

  Returns:
    the width

### getXml

    public java.lang.String getXml()

  Returns the value in the field xml

  Returns:
    the xml

### setChartId

    public void setChartId(java.lang.String chartId)

  Sets the value for chartId

  Parameters:
    `chartId` - the chartId to set

### setHeight

    public void setHeight(java.lang.String height)

  Sets the value for height

  Parameters:
    `height` - the height to set

### setJsonUrl

    public void setJsonUrl(java.lang.String jsonUrl)

  Sets the value for jsonUrl

  Parameters:
    `jsonUrl` - the jsonUrl to set

### setSwfFilename

    public void setSwfFilename(java.lang.String swfFilename)

  Sets the value for swfFilename

  Parameters:
    `swfFilename` - the swfFilename to set

### setUniqueId

    public void setUniqueId(java.lang.String uniqueId)

  Sets the value for uniqueId

  Parameters:
    `uniqueId` - the uniqueId to set

### setUrl

    public void setUrl(java.lang.String url)

  Sets the value for url

  Parameters:
    `url` - the url to set

### setWidth

    public void setWidth(java.lang.String width)

  Sets the value for width

  Parameters:
    `width` - the width to set

### setXml

    public void setXml(java.lang.String xml)

  Sets the value for xml

  Parameters:
    `xml` - the xml to set